discussion.models.Thread Class Reference

This class is used to create the Thread table. More...

Inheritance diagram for discussion.models.Thread:
[legend]
Collaboration diagram for discussion.models.Thread:
[legend]

## Classes

class | Meta

## Public Member Functions

def | __str__ (self)

## Static Public Attributes

| title = models.CharField(max_length=50)
| msg = models.CharField(max_length=500)
| topic = models.ForeignKey(Topic, on_delete=models.CASCADE)
| person = models.ForeignKey(Person, on_delete=models.CASCADE)
| likes = models.IntegerField(default=0)
| dislikes = models.IntegerField(default=0)
| time = models.DateTimeField(auto_now_add=True, blank=True)

## Detailed Description

This class is used to create the Thread table.

    This class is used to create the Thread table in database. In which we will be storing the Topic wise Threads for particular  Subject

The documentation for this class was generated from the following file:

- discussion/models.py